ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cost...@covalent.net
Subject Re: what I want to see in the next version of ant
Date Mon, 22 Jul 2002 22:25:25 GMT
On Mon, 22 Jul 2002, Diane Holt wrote:

> --- costinm@covalent.net wrote:
> > I think we were making it happen already. There are few changes
> > that are proposed, work is well under way - the only question is 
> > if we'll call it 1.6 or 2.0 or 3.0.
> 
> But whether we call it 1.6 or 2.0 makes a big difference in what kind of
> changes can get put through. If we're calling it 1.6, then we can't put
> through any changes, eg., that break compatibility with JDK1.x. So it's
> not just a question of pick-a-name -- the name makes a big difference in
> regards to what it actually is.

Any change requires a majority of votes. If a majority of ant commiters
believe that building on machines that have only JDK1.1 is not as 
important as using new features in jdk1.2 - than I see no reasons not
to change it in 1.6.

If we think that there is still a big number of people using JDK1.1 for
building - then we shouldn't do it in either 1.6 or 2.0. 

The servlet spec changed the requirements between 2.2 and 2.3 ( i.e
servlet 2.2 requires JDK1.1, servlet 2.3 requirs JDK1.2 ). 

Again - I agree using 2.0 name may be a good idea. It can signal
that ant reached a certain stability, or that we'll freeze
the behavior, or that we consider the next version so much better
than 1.5. ( Linux moved at a particular stage to 0.90 or 
something - to indicate that a lot of improvements were made 
and was close to 1.0 ).

By this criteria, I would rather call the next release ant1.9.

I don't think changing requirements on JDK1.1 or SAX2 parser
by itself are enough arguments.

Costin



--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message